Arch Site/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/de")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/de|Name=Arch Site|Name/de=Baugrund|Workbenches=[[Arch Module/de|Arch]]|MenuLocation=Architektur → Seite|Shortcut=S I|SeeAlso=[[Arch Floor/de|Etage]], [[Arch Building/de|Gebäude]]}}
{{GuiCommand/de|Name=Arch Site|Name/de=Baugrund|Workbenches=[[Arch Module/de|Arch]]|MenuLocation=Architektur → Seite|Shortcut=S I|SeeAlso=[[Arch Floor/de|Etage]], [[Arch Building/de|Gebäude]]}}
</div>


==Beschreibung==
==Beschreibung==
Line 8: Line 10:
==Anwendung==
==Anwendung==


<div class="mw-translate-fuzzy">
# Selektieren Sie optional ein oder mehrere Objekte, welche in den neuen Baugrund übernommen werden sollen
# Selektieren Sie optional ein oder mehrere Objekte, welche in den neuen Baugrund übernommen werden sollen
# Drücken Sie den {{KEY|[[Image:Arch Site.png|16px]] '''Baugrund'''}}-Knopf oder die Tasten {{KEY|S}} und {{KEY|I}}
# Drücken Sie den {{KEY|[[Image:Arch Site.png|16px]] '''Baugrund'''}}-Knopf oder die Tasten {{KEY|S}} und {{KEY|I}}
</div>


==Optionen==
==Optionen==
Line 20: Line 24:
==Properties==
==Properties==


=== Data ===
* {{PropertyData|Terrain}}: The base terrain of this site
* {{PropertyData|Terrain}}: The base terrain of this site
* {{PropertyData|Address}}: The street and housenumber of this site
* {{PropertyData|Address}}: The street and housenumber of this site
Line 35: Line 40:
* {{PropertyData|Remove Splitter}}: Remove splitters from the resulting shape
* {{PropertyData|Remove Splitter}}: Remove splitters from the resulting shape
* {{PropertyData|North Deviation}}: The angle between the true North and the north direction in this document
* {{PropertyData|North Deviation}}: The angle between the true North and the north direction in this document

=== View ===
* {{PropertyView|Solar Diagram}}: Shows or hides the solar diagram
* {{PropertyView|Solar Diagram}}: Shows or hides the solar diagram
* {{PropertyView|Solar Diagram Color}}: The color of the solar diagram
* {{PropertyView|Solar Diagram Color}}: The color of the solar diagram
Line 42: Line 49:
== Typical workflow ==
== Typical workflow ==


Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu '''Part -> Create Shape from Mesh...'''. Then, create a Site object, and set its '''Terrain''' property to the Part we just created:
Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu {{MenuCommand|Part Create Shape from Mesh}}. Then, create a Site object, and set its {{PropertyData|Terrain}} property to the Part we just created:


[[Image:Arch site example 01.jpg]]
[[Image:Arch site example 01.jpg]]
Line 56: Line 63:
== Solar diagram ==
== Solar diagram ==


If [http://pysolar.org/ pysolar] is installed on your system, Arch Sites can display a solar diagram. For this, '''Longitude''', '''Latitude''' and '''NorthDeviation''' properties must be correctly set, and '''SolarDiagram''' view property turned on. {{Version|0.17}}
If [http://pysolar.org/ pysolar] is installed on your system, [[Arch Site]]s can display a solar diagram. For this, {{PropertyData|Longitude}}, {{PropertyData|Latitude}} and {{PropertyData|NorthDeviation}} properties must be correctly set, and {{PropertyView|SolarDiagram}} view property turned on. {{Version|0.17}}


[[Image:Freecad-solar-diagram.jpg]]
[[Image:Freecad-solar-diagram.jpg]]


<div class="mw-translate-fuzzy">
==Scripting==
==Scripting==
</div>


<div class="mw-translate-fuzzy">
Das Baugrund-Werkzeug kann in [[macros/de|Makros]] ebenso wie aus der Python-Konsole heraus über folgende Funktion angesprochen werden:
Das Baugrund-Werkzeug kann in [[macros/de|Makros]] ebenso wie aus der Python-Konsole heraus über folgende Funktion angesprochen werden:
</div>
{{Code|code=
{{Code|code=
makeSite ([objectslist])
Site = makeSite(objectslist=None, baseobj=None, name="Site")
}}
}}

<div class="mw-translate-fuzzy">
:erzeugt einen Baugrund inklusive der in der Liste angegebenen Objekte
:erzeugt einen Baugrund inklusive der in der Liste angegebenen Objekte
</div>


Beispiel:
Beispiel:
{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch

Arch.makeSite()
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Site = Arch.makeSite(Wall)
FreeCAD.ActiveDocument.recompute()
}}
}}

A solar diagram can also be created with:
=== Solar diagram ===

FreeCAD can add a solar diagram to the active document if the {{incode|Pysolar}} (or {{incode|pysolar}}?) module is available. This module only works with Python3.

A solar diagram can be created with the following function
{{Code|code=
{{Code|code=
Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
import Arch,FreeCADGui
node = Arch.makeSolarDiagram(-46.38,-23.33) # longitude, latitude, [scale]
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(node)
}}
}}


* Creates a solar diagram as a Pivy node, using {{incode|longitude}} and {{incode|latitude}}, with an optional {{incode|scale}}.
* If {{incode|complete}} is {{incode|True}}, the 12 months are drawn.

{{Code|code=
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
}}
<div class="mw-translate-fuzzy">
[[Category:Arch/de]]
[[Category:Arch/de]]
</div>

Revision as of 17:42, 30 January 2019

Baugrund

Menüeintrag
Architektur → Seite
Arbeitsbereich
Arch
Standardtastenkürzel
S I
Eingeführt in Version
-
Siehe auch
Etage, Gebäude

Beschreibung

Der Baugrund ist ein spezielles Objekt, das Eigenschaften eines Standard-FreeCAD-Group-Objekts und Arch-Objekten kombiniert. Es ist besonders zur Repräsentation einer gesamten Projektfläche bzw. eines Terrains geeignet. In IFC-basierter architektonischer Arbeit dient es der Organisation des CAD-Modells und enthält Gebäude-Objekte. Der Baugrund wird auch verwendet, um vorhandenes Gelände zu verwalten und anzuzeigen und kann benutzt werden, um das Volumen von aufzufüllender oder abzutragender Erde zu berechnen.

Anwendung

  1. Selektieren Sie optional ein oder mehrere Objekte, welche in den neuen Baugrund übernommen werden sollen
  2. Drücken Sie den Baugrund-Knopf oder die Tasten S und I

Optionen

  • Nach Anlegen des Baugrunds können diesem ein oder mehrere Objekte durch Ziehen in die Baumansicht oder mittels Hinzufügen-Werkzeug hinzugefügt werden.
  • Durch Ziehen von Objekten aus der Baumansicht oder mittels Entfernen-Werkzeug können Objekte vom Baugrund entfernt werden.

Properties

Data

  • DatenTerrain: The base terrain of this site
  • DatenAddress: The street and housenumber of this site
  • DatenPostal Code: The postal or zip code of this site
  • DatenCity: The city of this site
  • DatenCountry: The country of this site
  • DatenLatitude: The latitude of this site
  • DatenLongitude: The longitude of this site
  • DatenUrl: An url that shows this site in a mapping website
  • DatenProjected Area: The area of the projection of this object onto the XY plane
  • DatenPerimeter: The perimeter length of this terrain
  • DatenAddition Volume: The volume of earth to be added to this terrain
  • DatenSubtraction Volume: The volume of earth to be removed from this terrain
  • DatenExtrusion Vector: An extrusion vector to use when performing boolean operations
  • DatenRemove Splitter: Remove splitters from the resulting shape
  • DatenNorth Deviation: The angle between the true North and the north direction in this document

View

  • AnsichtSolar Diagram: Shows or hides the solar diagram
  • AnsichtSolar Diagram Color: The color of the solar diagram
  • AnsichtSolar Diagram Position: The position of the solar diagram
  • AnsichtSolar Diagram Scale: The scale of the solar diagram

Typical workflow

Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu Part → Create Shape from Mesh. Then, create a Site object, and set its DatenTerrain property to the Part we just created:

Create some volumes (they must be solids) that represent the areas that you wish to be excavated or filled. Double-click the Site object in the Tree View, and add these volumes to the Additions or Subtractions groups. Click OK.

The site geometry will be recomputed and the areas, perimeter, and volumes properties recalculated.

Solar diagram

If pysolar is installed on your system, Arch Sites can display a solar diagram. For this, DatenLongitude, DatenLatitude and DatenNorthDeviation properties must be correctly set, and AnsichtSolarDiagram view property turned on. introduced in version 0.17

Scripting

Das Baugrund-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

Site = makeSite(objectslist=None, baseobj=None, name="Site")
erzeugt einen Baugrund inklusive der in der Liste angegebenen Objekte

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Site = Arch.makeSite(Wall)
FreeCAD.ActiveDocument.recompute()

Solar diagram

FreeCAD can add a solar diagram to the active document if the Pysolar (or pysolar?) module is available. This module only works with Python3.

A solar diagram can be created with the following function

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)